UNDERSTOOD , This was not a typical standard Recursion/dp question , I think this question needs to be marked as HARD. Thanks for the wonderful explanation.
Updated Discord Link - discord.gg/vwUAz2pEHZ ❤ . Practice Greedy - ua-cam.com/play/PLEL7R4Pm6EmDVCYD5EkNv08vSOC4kA1_z.html Practice DP - ua-cam.com/play/PLEL7R4Pm6EmCXe8803IBAPWVsHlTVrtOp.html
Bro I am confused about the time complexity. If at every index we call the recursive function 8 times then the time complexity of the function should be 9^m na? Please explain me what I am missing because I have read some blogs on calculating time complexity of recursive functions and this is what they exactly say.
Thank you for the video, but I'm still stuck to convert TopDown solution to BottomUp. I understand what we need to have 2D array, which [rows][10] and fill it Int.max. But then I have no idea what to do :)
UNDERSTOOD , This was not a typical standard Recursion/dp question , I think this question needs to be marked as HARD. Thanks for the wonderful explanation.
Good Explaination
I regularly wait for your videos after the contest to solve the problems that I couldn't solve there. Keep up the good work, man;
amazing explanation hats off to you
never worry for any engagement issues ! i will always be with u :)
thank you sir to clear our concept
Updated Discord Link - discord.gg/vwUAz2pEHZ ❤
.
Practice Greedy - ua-cam.com/play/PLEL7R4Pm6EmDVCYD5EkNv08vSOC4kA1_z.html
Practice DP - ua-cam.com/play/PLEL7R4Pm6EmCXe8803IBAPWVsHlTVrtOp.html
bro , your explanation was superb , gonna try it by myself now , Thank you for the video
Very detailed explanation thanks aryan
Superb ❤
thanks for providing such a detailed explaination, 'was much needed++
Thanks for the explanation!
Bro I am confused about the time complexity. If at every index we call the recursive function 8 times then the time complexity of the function should be 9^m na? Please explain me what I am missing because I have read some blogs on calculating time complexity of recursive functions and this is what they exactly say.
We use cache, that reduce the time complexity. So you have to calculate each combination only and only once.
Without caching (vector dp) you will repeat calculations for the same combinations again and again.
01:42
Thank you for the video, but I'm still stuck to convert TopDown solution to BottomUp. I understand what we need to have 2D array, which [rows][10] and fill it Int.max. But then I have no idea what to do :)
🎉🎉thanks bro
support++
what if, if you only provide the solution (iff)
Not clear